# require 'rails_helper'
#
# # This spec was generated by rspec-rails when you ran the scaffold generator.
# # It demonstrates how one might use RSpec to specify the controller code that
# # was generated by Rails when you ran the scaffold generator.
# #
# # It assumes that the implementation code is generated by the rails scaffold
# # generator.  If you are using any extension libraries to generate different
# # controller code, this generated spec may or may not pass.
# #
# # It only uses APIs available in rails and/or rspec-rails.  There are a number
# # of tools you can use to make these specs even more expressive, but we're
# # sticking to rails and rspec-rails APIs to keep things simple and stable.
# #
# # Compared to earlier versions of this generator, there is very limited use of
# # stubs and message expectations in this spec.  Stubs are only used when there
# # is no simpler way to get a handle on the object needed for the example.
# # Message expectations are only used when there is no simpler way to specify
# # that an instance is receiving a specific message.
#
# RSpec.describe StrengthTrainingsController, type: :controller do
#
#   # This should return the minimal set of attributes required to create a valid
#   # StrengthTraining. As you add validations to StrengthTraining, be sure to
#   # adjust the attributes here as well.
#   let(:valid_attributes) {
#     skip("Add a hash of attributes valid for your model")
#   }
#
#   let(:invalid_attributes) {
#     skip("Add a hash of attributes invalid for your model")
#   }
#
#   # This should return the minimal set of values that should be in the session
#   # in order to pass any filters (e.g. authentication) defined in
#   # StrengthTrainingsController. Be sure to keep this updated too.
#   let(:valid_session) { {} }
#
#   describe "GET #index" do
#     it "assigns all strength_trainings as @strength_trainings" do
#       strength_training = StrengthTraining.create! valid_attributes
#       get :index, {}, valid_session
#       expect(assigns(:strength_trainings)).to eq([strength_training])
#     end
#   end
#
#   describe "GET #show" do
#     it "assigns the requested strength_training as @strength_training" do
#       strength_training = StrengthTraining.create! valid_attributes
#       get :show, {:id => strength_training.to_param}, valid_session
#       expect(assigns(:strength_training)).to eq(strength_training)
#     end
#   end
#
#   describe "GET #new" do
#     it "assigns a new strength_training as @strength_training" do
#       get :new, {}, valid_session
#       expect(assigns(:strength_training)).to be_a_new(StrengthTraining)
#     end
#   end
#
#   describe "GET #edit" do
#     it "assigns the requested strength_training as @strength_training" do
#       strength_training = StrengthTraining.create! valid_attributes
#       get :edit, {:id => strength_training.to_param}, valid_session
#       expect(assigns(:strength_training)).to eq(strength_training)
#     end
#   end
#
#   describe "POST #create" do
#     context "with valid params" do
#       it "creates a new StrengthTraining" do
#         expect {
#           post :create, {:strength_training => valid_attributes}, valid_session
#         }.to change(StrengthTraining, :count).by(1)
#       end
#
#       it "assigns a newly created strength_training as @strength_training" do
#         post :create, {:strength_training => valid_attributes}, valid_session
#         expect(assigns(:strength_training)).to be_a(StrengthTraining)
#         expect(assigns(:strength_training)).to be_persisted
#       end
#
#       it "redirects to the created strength_training" do
#         post :create, {:strength_training => valid_attributes}, valid_session
#         expect(response).to redirect_to(StrengthTraining.last)
#       end
#     end
#
#     context "with invalid params" do
#       it "assigns a newly created but unsaved strength_training as @strength_training" do
#         post :create, {:strength_training => invalid_attributes}, valid_session
#         expect(assigns(:strength_training)).to be_a_new(StrengthTraining)
#       end
#
#       it "re-renders the 'new' template" do
#         post :create, {:strength_training => invalid_attributes}, valid_session
#         expect(response).to render_template("new")
#       end
#     end
#   end
#
#   describe "PUT #update" do
#     context "with valid params" do
#       let(:new_attributes) {
#         skip("Add a hash of attributes valid for your model")
#       }
#
#       it "updates the requested strength_training" do
#         strength_training = StrengthTraining.create! valid_attributes
#         put :update, {:id => strength_training.to_param, :strength_training => new_attributes}, valid_session
#         strength_training.reload
#         skip("Add assertions for updated state")
#       end
#
#       it "assigns the requested strength_training as @strength_training" do
#         strength_training = StrengthTraining.create! valid_attributes
#         put :update, {:id => strength_training.to_param, :strength_training => valid_attributes}, valid_session
#         expect(assigns(:strength_training)).to eq(strength_training)
#       end
#
#       it "redirects to the strength_training" do
#         strength_training = StrengthTraining.create! valid_attributes
#         put :update, {:id => strength_training.to_param, :strength_training => valid_attributes}, valid_session
#         expect(response).to redirect_to(strength_training)
#       end
#     end
#
#     context "with invalid params" do
#       it "assigns the strength_training as @strength_training" do
#         strength_training = StrengthTraining.create! valid_attributes
#         put :update, {:id => strength_training.to_param, :strength_training => invalid_attributes}, valid_session
#         expect(assigns(:strength_training)).to eq(strength_training)
#       end
#
#       it "re-renders the 'edit' template" do
#         strength_training = StrengthTraining.create! valid_attributes
#         put :update, {:id => strength_training.to_param, :strength_training => invalid_attributes}, valid_session
#         expect(response).to render_template("edit")
#       end
#     end
#   end
#
#   describe "DELETE #destroy" do
#     it "destroys the requested strength_training" do
#       strength_training = StrengthTraining.create! valid_attributes
#       expect {
#         delete :destroy, {:id => strength_training.to_param}, valid_session
#       }.to change(StrengthTraining, :count).by(-1)
#     end
#
#     it "redirects to the strength_trainings list" do
#       strength_training = StrengthTraining.create! valid_attributes
#       delete :destroy, {:id => strength_training.to_param}, valid_session
#       expect(response).to redirect_to(strength_trainings_url)
#     end
#   end
#
# end
